# run_modularity_analysis.py
#
# Bryan Daniels
# 2.19.2019
# 2020/07/31 branched from run_control_kernels.py
#
# Find modular structure for one network in the
# Cell Collective database.  The network's index is set by command
# line argument.
#

import sys
import datadex
from toolbox.simplePickle import save
from load_cell_collective_nets import loadCellCollectiveNets
from modularity import modularize

if len(sys.argv) != 2:
    print("Usage: python run_modularity_analysis.py [netIndex]")
    exit()


# () load cell collective network as net

netDict = loadCellCollectiveNets( netindex = int(sys.argv[1]) )
netname = list(netDict.keys())[0]
net = netDict[netname]
print("Loaded network: {}".format(netname))

# () run modularity analysis

modules,_ = modularize(net)

# () save output data to pickled file

data = {}
data["modules"] = modules
data["name"] = netname
filename = "modules_{}.dat".format(netname)
print("Outputting data to {}".format(filename))
save(data,filename)
